#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-clang
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt6-qtsvg
Version		:	6.8.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Qt6 - Support for rendering and displaying SVG

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/sumodules

Source0		:	%{sname}-everywhere-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
BuildRequires	:	qt6-qtbase-devel

#-----------------------------------------------------------------------------
%description
Scalable Vector Graphics (SVG) is an XML-based
language for describing two-dimensional vector
graphics. Qt provides classes for rendering and
displaying SVG drawings in widgets and on other
paint devices.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSES/GPL* LICENSES/LGPL*
%{_qt6_libdir}/libQt6Svg.so.6*
%{_qt6_libdir}/libQt6SvgWidgets.so.6*
%{_qt6_plugindir}/iconengines/libqsvgicon.so
%{_qt6_plugindir}/imageformats/libqsvg.so

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt6-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt6_headerdir}/QtSvg/%{version}/QtSvg/private/q*.h
%{_qt6_headerdir}/QtSvg/q*.h
%{_qt6_headerdir}/QtSvg/Q*
%{_qt6_headerdir}/QtSvgWidgets/q*.h
%{_qt6_headerdir}/QtSvgWidgets/Q*
%{_qt6_libdir}/libQt6Svg.so
%{_qt6_libdir}/libQt6SvgWidgets.so
%{_qt6_libdir}/libQt6Svg.prl
%{_qt6_libdir}/libQt6SvgWidgets.prl
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtSvgTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Gui/*.cmake
%{_qt6_libdir}/cmake/Qt6Svg/*.cmake
%{_qt6_libdir}/cmake/Qt6SvgWidgets/*.cmake
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/pkgconfig/*.pc
%{_qt6_archdatadir}/mkspecs/modules/*.pri

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D BUILD_SHARED_LIBS=ON				\
	-D CMAKE_BUILD_TYPE=RelWithDebInfo		\
	-D CMAKE_INSTALL_PREFIX=%{_qt6_prefix}		\
	-D CMAKE_INSTALL_LIBDIR=%{_qt6_libdir}		\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\
	-D INSTALL_ARCHDATADIR=%{_qt6_archdatadir}	\
	-D INSTALL_BINDIR=%{_qt6_bindir}		\
	-D INSTALL_DOCDIR=%{_qt6_docdir}		\
	-D INSTALL_INCLUDEDIR=%{_qt6_headerdir}		\
	-D INSTALL_MKSPECSDIR=%{_qt6_mkspecsdir}	\
	-D INSTALL_PLUGINSDIR=%{_qt6_plugindir}		\
	-D INSTALL_EXAMPLESDIR=%{_qt6_examplesdir}	\
	-D QT_BUILD_EXAMPLES=ON				\
	-D QT_INSTALL_EXAMPLES_SOURCES=ON		\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
